System Prompts
Compose System Prompt
Generate the fully composed system prompt from its particles. Particles are ordered by category priority and user-defined order.
GET
/
v1
/
system-prompts
/
{system_prompt_id}
/
compose
Compose System Prompt
curl --request GET \
--url https://api.cuadra.ai/v1/system-prompts/{system_prompt_id}/compose \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cuadra.ai/v1/system-prompts/{system_prompt_id}/compose"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cuadra.ai/v1/system-prompts/{system_prompt_id}/compose', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"systemPromptId": "sp_abc123",
"composedContent": "You are a helpful customer support assistant. Be professional.",
"totalTokenCount": 150,
"particleCount": 3
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
bearerAuthoauth2
JWT token from Stytch B2B authentication (magic link, SSO, or M2M)
Path Parameters
System Prompt ID
Response
Successful Response
Response schema for composed system prompt content.
System prompt ID
Example:
"sp_abc123"
The fully composed prompt text
Example:
"You are a helpful customer support assistant. Be professional."
Total token count
Example:
150
Number of particles used
Example:
3
Was this page helpful?
⌘I
Compose System Prompt
